## org.eclipse.datatools.sqltools.sqlbuilder.views
Class ComboBoxCellEditor

    java.lang.Object
      org.eclipse.jface.viewers.CellEditor
          org.eclipse.datatools.sqltools.sqlbuilder.views.ComboBoxCellEditor

    public class ComboBoxCellEditor

extends org.eclipse.jface.viewers.CellEditor

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.jface.viewers.CellEditor
`org.eclipse.jface.viewers.CellEditor.LayoutData`

Field Summary

Fields inherited from class org.eclipse.jface.viewers.CellEditor
`COPY, CUT, DELETE, FIND, PASTE, REDO, SELECT_ALL, UNDO`

Constructor Summary
`ComboBoxCellEditor(org.eclipse.swt.widgets.Composite parent, LabelValuePair[] items)` Creates a new combo box cell editor with the given choices.

Method Summary
`void` `activate()`
`void` `createItems(LabelValuePair[] items)`
`void` `deactivate()`
`void` `forwardFocusLost()` Forwards a focus-lost event from the combo focus listener to this class.
`org.eclipse.swt.custom.CCombo` `getCombo()`
`LabelValuePair[]` `getLabelValuePairs()`
`java.lang.String` `getSelection()`
`ITextProvider` `getTextProvider()` Gets the current text provider.
`void` `setSelection(java.lang.String selection)`
`void` `setTextProvider(ITextProvider textProvider)` Sets the text provider to the given object.

Methods inherited from class org.eclipse.jface.viewers.CellEditor

`activate, addListener, addPropertyChangeListener, create, dispose, getControl, getErrorMessage, getLayoutData, getStyle, getValidator, getValue, isActivated, isCopyEnabled, isCutEnabled, isDeleteEnabled, isDirty, isFindEnabled, isPasteEnabled, isRedoEnabled, isSelectAllEnabled, isUndoEnabled, isValueValid, performCopy, performCut, performDelete, performFind, performPaste, performRedo, performSelectAll, performUndo, removeListener, removePropertyChangeListener, setFocus, setStyle, setValidator, setValue`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComboBoxCellEditor

    public ComboBoxCellEditor(org.eclipse.swt.widgets.Composite parent,
                              LabelValuePair[] items)

  Creates a new combo box cell editor with the given choices.

Method Detail

### createItems

    public void createItems(LabelValuePair[] items)

### getLabelValuePairs

    public LabelValuePair[] getLabelValuePairs()

### forwardFocusLost

    public void forwardFocusLost()

  Forwards a focus-lost event from the combo focus listener to this class.

### getCombo

    public org.eclipse.swt.custom.CCombo getCombo()

### getSelection

    public java.lang.String getSelection()

### getTextProvider

    public ITextProvider getTextProvider()

  Gets the current text provider.

  Returns:
    the text provider or null if none was set

### setSelection

    public void setSelection(java.lang.String selection)

### setTextProvider

    public void setTextProvider(ITextProvider textProvider)

  Sets the text provider to the given object.

  Parameters:
    `textProvider` - the text provider to set

### deactivate

    public void deactivate()

  Overrides:
    `deactivate` in class `org.eclipse.jface.viewers.CellEditor`

### activate

    public void activate()

  Overrides:
    `activate` in class `org.eclipse.jface.viewers.CellEditor`